# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           4digits
Version:        1.1.4
Release:        alt1_4
Summary:        A guess-the-number puzzle game
Group:          Games/Puzzles
License:        GPLv2+
URL:            http://fourdigits.sourceforge.net/
Source0:        http://downloads.sourceforge.net/fourdigits/%{name}_%{version}.tar.bz2
Patch0:         4digits-1.1.4-mga-makefile-and-install-paths.patch

BuildRequires:  python-module-setuptools
Requires:       python-module-pygtk
Requires:       python-module-pygtk-libglade
Source44: import.info

%description
4digits is a guess-the-number puzzle game. It's called Bulls and Cows,
and in China people simply call it Guess-the-Number. The game's objective
is to guess a four-digit number in 8 times using as less time as possible.

%prep
%setup -q
%patch0 -p1
sed -i -e 's/GTK/GTK;/' %{name}.desktop

%build
%make OPTFLAGS="%{optflags}"

%install
%make DESTDIR=%{buildroot} install-po

install -d %{buildroot}%{_gamesbindir}
install -m755 %{name}                 %{buildroot}%{_gamesbindir}/
install -m755 %{name}-text            %{buildroot}%{_gamesbindir}/

install -d %{buildroot}%{_gamesdatadir}/%{name}
install -m644 %{name}.glade           %{buildroot}%{_gamesdatadir}/%{name}/
install -m644 %{name}_logo.png        %{buildroot}%{_gamesdatadir}/%{name}/

install -d %{buildroot}%{_mandir}/man6
install -m644 %{name}.6               %{buildroot}%{_mandir}/man6/
install -m644 %{name}-text.6          %{buildroot}%{_mandir}/man6/

install -D -m644 %{name}.desktop      %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m644 %{name}_logo.png     %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
install -D -m644 %{name}_logo_big.png %{buildroot}%{_iconsdir}/hicolor/512x512/apps/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING README doc/*
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-text
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/%{name}-text.6*


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.4-alt1_4
- update by mgaimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.1.4-alt1_3
- update by mgaimport

* Tue Jun 07 2016 Igor Vlasenko <viy@altlinux.ru> 1.1.4-alt1_2
- converted for ALT Linux by srpmconvert tools

